Bug 442462 - Review Request: e_dbus - Wrappers around dbus for EFL based applications
Review Request: e_dbus - Wrappers around dbus for EFL based applications
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On: 442353
  Show dependency treegraph
Reported: 2008-04-14 17:45 EDT by Pavel Shevchuk
Modified: 2008-05-17 18:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-17 18:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-14 17:45:56 EDT
Spec URL: http://rpm.scwlab.com/e_dbus-goes-rawhide/e_dbus.spec
SRPM URL: http://rpm.scwlab.com/e_dbus-goes-rawhide/e_dbus-
RPMs for i386 and x86_64 built in mock: http://rpm.scwlab.com/e_dbus-goes-rawhide/

Basic convenience wrappers around dbus to ease integrating dbus with EFL based

RPMLint displays warning about absent doc, but there are none yet, this is first release of e_dbus.
License is a bit customized, but Tom "spot" Callawayin from fedora-legal-list said it's MIT ( https://www.redhat.com/archives/fedora-legal-list/2008-April/msg00020.html )
Comment 1 Pavel Shevchuk 2008-05-03 23:58:48 EDT
* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> -
- Fixed typo in E_Nm.h, fix committed upstream
- Added missing dependencies to e_dbus-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

New spec: http://rpm.scwlab.com/e_dbus-goes-rawhide/e_dbus.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/e_dbus-
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 2 Patrice Dumas 2008-05-15 16:47:45 EDT
Same than efreet, are the programs really meant to be installed?
Comment 3 Patrice Dumas 2008-05-15 16:58:55 EDT
Also enm.pc links against enotify and not -lenm.
Comment 4 Pavel Shevchuk 2008-05-15 17:50:06 EDT
[stalwart@delta e_dbus]$ diff enm.pc enotify.pc
< Description: Network Manager convenience library
> Description: Notification convenience library

enm.pc also has line:
Name: enotify

I guess developer was abusing copypaste-fu technique. 

NetworkManager part of e_dbus is yet to reach usable state, and development is 
inactive because NM 0.7 API may change.

I don't see this bug as showstopper since there is no E-frontend for NM yet
Comment 5 Patrice Dumas 2008-05-16 09:01:37 EDT
(In reply to comment #4)
> I don't see this bug as showstopper since there is no E-frontend for NM yet


Also I noticed a missing pkgconfig Requires for the devel package.
Comment 6 Pavel Shevchuk 2008-05-16 09:54:16 EDT
enm.pc bug is now fixed upstream:
I will patch that with sed expression before uploading spec to cvs.

Need for binaries is yet to be clarified.

Missing pkgconfig will be fixed too.
Comment 7 Pavel Shevchuk 2008-05-16 19:49:23 EDT
* Sat May 17 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> -
- Fixed pkgconfig missing from buildrequires and requires of e_dbus-devel
- Removed unneeded test binaries
- Fixed copypaste abuse in enm.pc.in, patch upstreamed

New spec: http://rpm.scwlab.com/fedora/e/9/e_dbus-
New SRPM: http://rpm.scwlab.com/fedora/e/9/e_dbus-
x86_64 RPMs: http://rpm.scwlab.com/fedora/e/9/e_dbus-
Comment 8 Patrice Dumas 2008-05-17 04:47:44 EDT
* rpmlint warning can be ignored
e_dbus-devel.i386: W: no-documentation
* follow packaging guidelines
* pseudo-MIT license included
* match upstream
cf5092e177d94263be396875d3bfccaa  e_dbus-
* %files section right
* lib correctly packaged

The chrpath on binaries that are then removed is not useful, but 
not harmful either.


Also, in the future, please check from time to time if 
%configure --disable-rpath --disable-static
works to avoid unneeded rpath.
Comment 9 Pavel Shevchuk 2008-05-17 06:04:32 EDT
New Package CVS Request
Package Name: e_dbus
Short Description: Wrappers around dbus for EFL based applications
Owners: stalwart
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-05-17 16:31:15 EDT
cvs done. 
Comment 11 Pavel Shevchuk 2008-05-17 18:14:44 EDT
Done. Thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.